Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 21 Jul 2022 09:29:14 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Am a regular and old customer of your Centerpoint more than 20 years am dealing with you. What I noticed before you was having well trained, professional manager and supervisor who knows how to deal, handle and talk to customers. But now you are hiring low quality people who doesn’t know to talk and respect customer. 
I bought 2 items from your store centerpoint Mirdif City Center during 3 days sale on May 28 I been 3 times to store for return or exchange manager sitting in his office and I have to wait for 20 minutes. After so many calls by sales lady asking him to come to front desk he is showing with no interest, I told him why I should wait this much? Then he answered me back if you don’t like you can complain and he wrote his name on the bill Naweed

This is how you respect your customer? Then I called your call center and raise a complain and no one came back to me till now. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4516869